=== debian/changelog ===
ros-bouncy-poco-vendor (1.1.1-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steven! Ragnarök <steven@openrobotics.org>  Fri, 22 Jun 2018 22:34:05 -0000
